This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 188796 - CVE-2006-1731 Cross-site scripting using .valueOf.call()
CVE-2006-1731 Cross-site scripting using .valueOf.call()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 22:25 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FEDORA-2006-487
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 12:05:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:25:21 EDT
Cross-site scripting using .valueOf.call()


moz_bug_r_a4 discovered that .valueOf.call() and .valueOf.apply() when
called with no arguments were returning the Object class prototype rather
than the caller's global window object. When called on a reachable property
of  another  window this provides a hook to get around the same-origin
protection, allowing an attacker to inject script into another window.

Cross-site script injection can be used to steal confidential data such as
cookies or passwords, or perform actions on the user's behalf. It can also
be used to alter the content of the other window which could be used to fool
a user into trusting bogus information or downloaded content.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until a fixed version can be installed.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=327194
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=290488


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 08:50:22 EDT
Lifting embargo
Comment 2 David Eisenstein 2006-06-24 12:05:42 EDT
This bug was fixed for FC4 in Fedora Update FEDORA-2006-488
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00019.html>.

This bug was fixed for FC5 in Fedora Update FEDORA-2006-487
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00018.html>.

Note You need to log in before you can comment on or make changes to this bug.